# Class default

A basic abstract class to act as a holder and processor for UI elements.

#### Hierarchy (view full)

- ModalUiHandler
  - default

- Defined in src/ui/unavailable-modal-ui-handler.ts:7

#####
Index

### Constructors

constructor

### Properties

active
buttonBgs
buttonContainers
cursor
maxTime
minTime
modalBg
modalContainer
mode
randVarianceTime
reconnectCallback
reconnectDuration
reconnectTimer
scene
titleText

### Methods

clear
getButtonLabels
getButtonTopMargin
getCursor
getHeight
getMargin
getModalTitle
getTextColor
getUi
getWidth
processInput
setCursor
setup
show
tryReconnect
updateContainer

## Constructors

### constructor

- new default(scene, mode?): default

- #### Parameters

  - scene: default
  - `Optional` mode: Mode

  #### Returns default

  Overrides ModalUiHandler.constructor

  - Defined in src/ui/unavailable-modal-ui-handler.ts:17

## Properties

### active

active: boolean = false

Inherited from ModalUiHandler.active

- Defined in src/ui/ui-handler.ts:13

### `Protected` buttonBgs

buttonBgs: NineSlice[]

Inherited from ModalUiHandler.buttonBgs

- Defined in src/ui/modal-ui-handler.ts:17

### `Protected` buttonContainers

buttonContainers: Container[]

Inherited from ModalUiHandler.buttonContainers

- Defined in src/ui/modal-ui-handler.ts:16

### `Protected` cursor

cursor: number = 0

Inherited from ModalUiHandler.cursor

- Defined in src/ui/ui-handler.ts:12

### `Private` `Readonly` maxTime

maxTime: number = ...

- Defined in src/ui/unavailable-modal-ui-handler.ts:13

### `Private` `Readonly` minTime

minTime: number = ...

- Defined in src/ui/unavailable-modal-ui-handler.ts:12

### `Protected` modalBg

modalBg: NineSlice

Inherited from ModalUiHandler.modalBg

- Defined in src/ui/modal-ui-handler.ts:14

### `Protected` modalContainer

modalContainer: Container

Inherited from ModalUiHandler.modalContainer

- Defined in src/ui/modal-ui-handler.ts:13

### `Protected` mode

mode: number

Inherited from ModalUiHandler.mode

- Defined in src/ui/ui-handler.ts:11

### `Private` `Readonly` randVarianceTime

randVarianceTime: number = ...

- Defined in src/ui/unavailable-modal-ui-handler.ts:15

### `Private` reconnectCallback

reconnectCallback: (() => void)

#### Type declaration

- - (): void

  - #### Returns void

- Defined in src/ui/unavailable-modal-ui-handler.ts:10

### `Private` reconnectDuration

reconnectDuration: number

- Defined in src/ui/unavailable-modal-ui-handler.ts:9

### `Private` reconnectTimer

reconnectTimer: Timeout

- Defined in src/ui/unavailable-modal-ui-handler.ts:8

### `Protected` scene

scene: default

Inherited from ModalUiHandler.scene

- Defined in src/ui/ui-handler.ts:10

### `Protected` titleText

titleText: Text

Inherited from ModalUiHandler.titleText

- Defined in src/ui/modal-ui-handler.ts:15

## Methods

### clear

- clear(): void

- #### Returns void

  Inherited from ModalUiHandler.clear

  - Defined in src/ui/modal-ui-handler.ts:132

### getButtonLabels

- getButtonLabels(): string[]

- #### Returns string[]

  Overrides ModalUiHandler.getButtonLabels

  - Defined in src/ui/unavailable-modal-ui-handler.ts:38

### getButtonTopMargin

- getButtonTopMargin(): number

- #### Returns number

  Inherited from ModalUiHandler.getButtonTopMargin

  - Defined in src/ui/modal-ui-handler.ts:36

### getCursor

- getCursor(): number

- #### Returns number

  Inherited from ModalUiHandler.getCursor

  - Defined in src/ui/ui-handler.ts:42

### getHeight

- getHeight(): number

- #### Returns number

  Overrides ModalUiHandler.getHeight

  - Defined in src/ui/unavailable-modal-ui-handler.ts:30

### getMargin

- getMargin(): [number, number, number, number]

- #### Returns [number, number, number, number]

  Overrides ModalUiHandler.getMargin

  - Defined in src/ui/unavailable-modal-ui-handler.ts:34

### getModalTitle

- getModalTitle(): string

- #### Returns string

  Overrides ModalUiHandler.getModalTitle

  - Defined in src/ui/unavailable-modal-ui-handler.ts:22

### getTextColor

- getTextColor(style, shadow?): string

- #### Parameters

  - style: TextStyle
  - shadow: boolean = false

  #### Returns string

  Inherited from ModalUiHandler.getTextColor

  - Defined in src/ui/ui-handler.ts:38

### getUi

- getUi(): default

- #### Returns default

  Inherited from ModalUiHandler.getUi

  - Defined in src/ui/ui-handler.ts:34

### getWidth

- getWidth(): number

- #### Returns number

  Overrides ModalUiHandler.getWidth

  - Defined in src/ui/unavailable-modal-ui-handler.ts:26

### processInput

- processInput(button): boolean

- #### Parameters

  - button: Button

  #### Returns boolean

  Inherited from ModalUiHandler.processInput

  - Defined in src/ui/modal-ui-handler.ts:128

### setCursor

- setCursor(cursor): boolean

- #### Parameters

  - cursor: number

  #### Returns boolean

  Inherited from ModalUiHandler.setCursor

  - Defined in src/ui/ui-handler.ts:46

### setup

- setup(): void

- #### Returns void

  Overrides ModalUiHandler.setup

  - Defined in src/ui/unavailable-modal-ui-handler.ts:42

### show

- show(args): boolean

- #### Parameters

  - args: any[]

  #### Returns boolean

  Overrides ModalUiHandler.show

  - Defined in src/ui/unavailable-modal-ui-handler.ts:69

### tryReconnect

- tryReconnect(): void

- #### Returns void

  - Defined in src/ui/unavailable-modal-ui-handler.ts:51

### updateContainer

- updateContainer(config?): void

- #### Parameters

  - `Optional` config: ModalConfig

  #### Returns void

  Inherited from ModalUiHandler.updateContainer

  - Defined in src/ui/modal-ui-handler.ts:107